<?php
namespace ExcitedFree\App;

use ExcitedFree\App\Model\Group;

class Template{
    public function __construct(){

    }

    public static function get_templates(){
        $result = array();
        foreach(Group::$layouts as $key => $value){
            $result[$key] = self::get_template($key);
        }

        return $result;
    }

    public static function get_template($template){
        $file = plugin_dir_path(dirname(__FILE__)) . 'includes/templates/' . $template . '.php';
        if(file_exists($file)){
            include($file);
            return ${$template . '_templates'};
        }
        return false;
    }
}