<?php
use ExcitedFree\App\Model\Testimonial;
use ExcitedFree\App\Shortcode;

    $font_size = 'font-size: ' . $styles['name_font_size'];
    $color = 'color: ' . $styles['name_color'];
    $bold = $styles['name_bold'] == '1' ? 'font-weight: ' . 'bold' : 'font-weight: ' . 'normal';
    $italic = $styles['name_italic'] == '1' ? 'font-style: ' . 'italic' : 'font-style: ' . 'normal';
    $text_transform = 'text-transform: ' . $styles['name_text_transform'];
    $align = 'text-align: ' . $styles['name_align'];
    $top_margin = '';
    if (isset($styles['name_top_margin'])) {
        $top_margin = 'margin-top: ' . Shortcode::get_size($styles['name_top_margin']);
    }

    if (count($testimonials) > 0):
        include $base . 'public/partials/parts/single_showcase/testimonials_open.php';
        $i = 0;
        foreach ($testimonials as $testimonial):
            $testimonial = new Testimonial(array('post' => $testimonial));
            $active = $i++ === 0 ? 'active' : '';
            include $base . 'public/partials/parts/single_showcase/testimonial_open.php';
            if(!$testimonial->post_title){
                continue;
            }

            echo "<div class='testimonial_name $layout-container sortable'
                            style='$top_margin;'
                            data-block-name='name'
                            data-tooltip-name='name'>";
            echo "<span class='group-field-content' style='
                                $font_size;
                                $color;
                                $bold;
                                $italic;
                                $align;
                                $text_transform;
                                '>";
            echo htmlspecialchars($testimonial->post_title);
            echo '</span>';
            if ($preview) {
                include($base . 'public/partials/parts/tooltip-button.php');
            }
            echo '</div>';
            include $base . 'public/partials/parts/single_showcase/testimonial_close.php';
        endforeach;
        include $base . 'public/partials/parts/single_showcase/testimonials_close.php';
    endif;