<?php
use ExcitedFree\App\Model\Testimonial;

$photo = Testimonial::get_photo($testimonial->ID, $preview);
?>
<div class="aet-testimonial-panel aet-testimonial-panel-full_photo_dark a-slide-panel-content-wrapper" id="aet_testimonial_panel_<?php echo $group_id; ?>_<?php echo $testimonial->ID; ?>">
    <div class="a-scroll">
        <?php include('blocks/title.php'); ?>
        <div class="aet-testimonial-panel-container">
            <div class="aet-testimonial-panel-head" style="background: url(<?php echo $photo; ?>) 50% 50% no-repeat;">
                <div class="info">
                    <?php include('blocks/name.php'); ?>
                    <?php include('blocks/position.php'); ?>
                </div>
            </div>
            <div class="aet-testimonial-panel-body">
                <div class="middle-block">
                    <?php include('blocks/contacts.php'); ?>
                    <?php include('blocks/rating.php'); ?>
                </div>
                <?php include('blocks/body.php'); ?>
                <?php include('blocks/social.php'); ?>
            </div>
        </div>
    </div>
    <?php include('blocks/css.php'); ?>
</div>