<?php
use ExcitedFree\App\Model\Testimonial;

$photo = Testimonial::get_photo($testimonial->ID, $preview);
?>
<div class="aet-testimonial-panel aet-testimonial-panel-modern a-slide-panel-content-wrapper" id="aet_testimonial_panel_<?php echo $group_id; ?>_<?php echo $testimonial->ID; ?>">
    <div class="a-scroll">
        <?php include('blocks/title.php'); ?>
        <div class="aet-testimonial-panel-container">
            <div class="aet-testimonial-panel-head">
                <div class="photo_blur">
                    <div style="background: linear-gradient(rgba(0,0,0,.5), rgba(0,0,0,.5)), url(<?php echo $photo; ?>) 50% 50% no-repeat">
                        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" height="0" width="0">
                            <defs>
                                <filter id="aet_panel_blur" x="0" y="0">
                                    <feGaussianBlur stdDeviation="5" />
                                </filter>
                            </defs>
                        </svg>
                    </div>
                </div>
                <?php include('blocks/photo.php'); ?>
                <div class="info">
                    <?php include('blocks/name.php'); ?>
                    <?php include('blocks/position.php'); ?>
                </div>
                <?php include('blocks/social.php'); ?>
            </div>
            <div class="aet-testimonial-panel-body">
                <div class="middle-block">
                    <?php include('blocks/contacts.php'); ?>
                    <?php include('blocks/rating.php'); ?>
                </div>
                <?php include('blocks/body.php'); ?>
            </div>
        </div>
    </div>
    <?php include('blocks/css.php'); ?>
</div>