<?php
$grid_templates = array(
    'magazine' => array(
        'label' => 'Magazine',
        'styles' => array(
            'template' => 'magazine',
            'slider' => '0',
            'slider_autoplay' => '0',
            'slider_autoplay_speed' => '10000',
            'slider_adaptive' => '0',
            'filter' => '1',
            'button_color' => '#f5f5f5',
            'button_hover_color' => '#24b75f',
            'button_text_color' => '#545454',
            'button_text_hover_color' => '#fff',
            'filter_font_size' => '14px',
            'filter_bold' => '0',
            'filter_italic' => '0',
            'filter_text_transform' => 'none',
            'reveal' => '1',
            'hover' => 'nova',
            'bounce' => '1',
            'align' => 'center',
            'gaps' => '15px',
            'card_gaps' => '0px',
            'card_width' => '4',
            'card_base_color' => 'rgba(255,255,255,1)',
            'card_border_color' => 'rgba(255,255,255,1)',
            'card_shadow_color' => 'rgba(237,237,237,1)',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'body_visible' => '0',
            'photo_visible' => '1',
            'name_visible' => '1',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '1',
            'position_visible' => '1',
            'source_visible' => '0',
            'rating_visible' => '1',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    0 => 'short_text',
                    1 => 'photo',
                    2 => 'name',
                    3 => 'divider',
                    4 => 'position',
                    5 => 'source',
                    6 => 'rating',
                    7 => 'social',
                ),
            'photo_shape' => 'round',
            'photo_size' => 'custom',
            'photo_width' => '70px',
            'name_font_size' => '16px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '1',
            'name_italic' => '0',
            'name_text_transform' => 'uppercase',
            'name_align' => 'center',
            'position_font_size' => '14px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'center',
            'short_text_font_size' => '13px',
            'short_text_color' => '#000000',
            'short_text_background_color' => '#FCFCFC',
            'short_text_bold' => '0',
            'short_text_italic' => '1',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '10',
            'short_text_border_width' => '1',
            'short_text_border_color' => '#EDEDED',
            'short_text_border_radius' => '3',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(59,59,59,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '5px',
            'name_top_margin' => '15px',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '0px',
            'contacts_top_margin' => '10px',
            'source_top_margin' => '10px',
            'social_top_margin' => '10px',
            'rating_bar_color' => '#ffc700',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '24px',
            'rating_icon' => 'star-full',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'center',
            'rating_top_margin' => '3px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
    'coffee' => array(
        'label' => 'Coffee',
        'styles' => array(
            'template' => 'coffee',
            'slider' => '1',
            'slider_autoplay' => '1',
            'slider_autoplay_speed' => '2000',
            'slider_adaptive' => '0',
            'filter' => '0',
            'button_color' => 'rgba(138,91,0,1)',
            'button_hover_color' => 'rgba(0,0,0,1)',
            'button_text_color' => 'rgba(255,255,255,1)',
            'button_text_hover_color' => 'rgba(255,255,255,1)',
            'filter_font_size' => '14px',
            'filter_bold' => '0',
            'filter_italic' => '0',
            'filter_text_transform' => 'none',
            'reveal' => '1',
            'hover' => 'hera',
            'bounce' => '1',
            'align' => 'center',
            'gaps' => '30px',
            'card_gaps' => '0px',
            'card_width' => '1',
            'card_base_color' => 'rgba(255,255,255,1)',
            'card_border_color' => 'rgba(255,255,255,1)',
            'card_shadow_color' => 'rgba(237,237,237,1)',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'body_visible' => '0',
            'photo_visible' => '1',
            'name_visible' => '1',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '1',
            'position_visible' => '0',
            'source_visible' => '0',
            'rating_visible' => '1',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    0 => 'photo',
                    1 => 'name',
                    2 => 'short_text',
                    3 => 'divider',
                    4 => 'position',
                    5 => 'source',
                    6 => 'rating',
                    7 => 'social',
                ),
            'photo_shape' => 'round',
            'photo_size' => 'custom',
            'photo_width' => '100px',
            'name_font_size' => '16px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '0',
            'name_italic' => '0',
            'name_text_transform' => 'uppercase',
            'name_align' => 'center',
            'position_font_size' => '14px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'center',
            'short_text_font_size' => '16px',
            'short_text_color' => 'rgba(255,255,255,1)',
            'short_text_background_color' => 'rgba(255,168,0,1)',
            'short_text_bold' => '0',
            'short_text_italic' => '0',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '20',
            'short_text_border_width' => '0',
            'short_text_border_color' => 'rgba(204,159,0,1)',
            'short_text_border_radius' => '3',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(59,59,59,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '10px',
            'name_top_margin' => '8px',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '5px',
            'contacts_top_margin' => '10px',
            'source_top_margin' => '10px',
            'social_top_margin' => '10px',
            'rating_bar_color' => 'rgba(145,88,1,1)',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '30px',
            'rating_icon' => 'cup-2',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'center',
            'rating_top_margin' => '10px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
    'towers' => array(
        'label' => 'Towers',
        'styles' => array(
            'template' => 'towers',
            'slider' => '0',
            'slider_autoplay' => '1',
            'slider_autoplay_speed' => '2000',
            'slider_adaptive' => '0',
            'filter' => '0',
            'button_color' => '#f5f5f5',
            'button_hover_color' => '#24b75f',
            'button_text_color' => '#545454',
            'button_text_hover_color' => '#fff',
            'filter_font_size' => '14px',
            'filter_bold' => '0',
            'filter_italic' => '0',
            'filter_text_transform' => 'none',
            'reveal' => '1',
            'hover' => 'jazz',
            'bounce' => '0',
            'align' => 'center',
            'gaps' => '30px',
            'card_gaps' => '0px',
            'card_width' => '3',
            'card_base_color' => 'rgba(255,255,255,1)',
            'card_border_color' => 'rgba(255,255,255,1)',
            'card_shadow_color' => 'rgba(237,237,237,1)',
            'divider_color' => 'rgba(227,227,227,1)',
            'divider_width' => '40%',
            'body_visible' => '1',
            'photo_visible' => '1',
            'name_visible' => '1',
            'divider_visible' => '1',
            'short_text_visible' => '1',
            'short_text_body_visible' => '0',
            'short_text_nubbin_visible' => '0',
            'position_visible' => '0',
            'source_visible' => '1',
            'rating_visible' => '0',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    0 => 'photo',
                    1 => 'name',
                    2 => 'position',
                    3 => 'source',
                    4 => 'divider',
                    5 => 'short_text',
                    6 => 'rating',
                    7 => 'social',
                ),
            'photo_shape' => 'square',
            'photo_size' => 'custom',
            'photo_width' => '500px',
            'name_font_size' => '20px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '1',
            'name_italic' => '0',
            'name_text_transform' => 'none',
            'name_align' => 'center',
            'position_font_size' => '14px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'center',
            'short_text_font_size' => '16px',
            'short_text_color' => '#000000',
            'short_text_background_color' => '#FCFCFC',
            'short_text_bold' => '0',
            'short_text_italic' => '0',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '10',
            'short_text_border_width' => '10',
            'short_text_border_color' => '#EDEDED',
            'short_text_border_radius' => '3',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(117,117,117,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '0px',
            'name_top_margin' => '20px',
            'position_top_margin' => '2px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '0px',
            'contacts_top_margin' => '10px',
            'source_top_margin' => '3px',
            'social_top_margin' => '10px',
            'rating_bar_color' => '#ffc700',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '26px',
            'rating_icon' => 'star-full',
            'rating_icon_count' => '10',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'center',
            'rating_top_margin' => '0px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
    'music' => array(
        'label' => 'Music',
        'styles' => array(
            'template' => 'music',
            'slider' => '0',
            'slider_autoplay' => '1',
            'slider_autoplay_speed' => '10000',
            'slider_adaptive' => '0',
            'filter' => '0',
            'button_color' => '#f5f5f5',
            'button_hover_color' => '#24b75f',
            'button_text_color' => '#545454',
            'button_text_hover_color' => '#fff',
            'filter_font_size' => '14px',
            'filter_bold' => '0',
            'filter_italic' => '0',
            'filter_text_transform' => 'none',
            'reveal' => '1',
            'hover' => 'hera',
            'bounce' => '1',
            'align' => 'center',
            'gaps' => '20px',
            'card_gaps' => '0',
            'card_width' => '3',
            'card_base_color' => 'rgba(255,255,255,1)',
            'card_border_color' => 'rgba(255,255,255,1)',
            'card_shadow_color' => 'rgba(237,237,237,1)',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'body_visible' => '0',
            'photo_visible' => '0',
            'name_visible' => '0',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '0',
            'position_visible' => '0',
            'source_visible' => '0',
            'rating_visible' => '1',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    0 => 'name',
                    1 => 'short_text',
                    2 => 'photo',
                    3 => 'divider',
                    4 => 'position',
                    5 => 'source',
                    6 => 'rating',
                    7 => 'social',
                ),
            'photo_shape' => 'round',
            'photo_size' => 'custom',
            'photo_width' => '100px',
            'name_font_size' => '16px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '0',
            'name_italic' => '0',
            'name_text_transform' => 'none',
            'name_align' => 'right',
            'position_font_size' => '14px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'center',
            'short_text_font_size' => '15px',
            'short_text_color' => 'rgba(255,255,255,1)',
            'short_text_background_color' => 'rgba(5,195,255,1)',
            'short_text_bold' => '0',
            'short_text_italic' => '1',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '40',
            'short_text_border_width' => '0',
            'short_text_border_color' => '#EDEDED',
            'short_text_border_radius' => '3',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(59,59,59,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '10px',
            'name_top_margin' => '0',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '5px',
            'contacts_top_margin' => '10px',
            'source_top_margin' => '10px',
            'social_top_margin' => '10px',
            'rating_bar_color' => 'rgba(82,82,82,1)',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '36px',
            'rating_icon' => 'dvd',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'center',
            'rating_top_margin' => '10px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    )
);