<?php
$grid_float_templates = array(
    'twin_hearts' => array(
        'label' => 'Twin hearts',
        'styles' => array(
            'template' => 'twin_hearts',
            'slider' => '1',
            'slider_autoplay' => '0',
            'slider_autoplay_speed' => '10000',
            'slider_adaptive' => '0',
            'filter' => '0',
            'button_color' => 'rgba(0,113,138,1)',
            'button_hover_color' => 'rgba(0,190,232,1)',
            'button_text_color' => 'rgba(255,255,255,1)',
            'button_text_hover_color' => 'rgba(255,255,255,1)',
            'filter_font_size' => '14px',
            'filter_bold' => '0',
            'filter_italic' => '0',
            'filter_text_transform' => 'none',
            'reveal' => '1',
            'hover' => 'hera',
            'bounce' => '1',
            'align' => 'center',
            'gaps' => '30px',
            'card_gaps' => '0px',
            'card_width' => '2',
            'card_base_color' => 'rgba(255,255,255,1)',
            'card_border_color' => 'rgba(255,255,255,1)',
            'card_shadow_color' => 'rgba(237,237,237,1)',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'body_visible' => '0',
            'photo_visible' => '1',
            'name_visible' => '1',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '1',
            'position_visible' => '1',
            'source_visible' => '0',
            'rating_visible' => '1',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    'block_0' => 'short_text',
                    'level2' =>
                        array (
                            'block_1' => 'photo',
                            'level3' =>
                                array (
                                    'block_2' => 'name',
                                    'block_3' => 'divider',
                                    'block_4' => 'position',
                                    'block_5' => 'source',
                                    'block_6' => 'rating',
                                    'block_7' => 'social',
                                ),
                        ),
                ),
            'photo_shape' => 'round',
            'photo_size' => 'custom',
            'photo_width' => '90px',
            'name_font_size' => '20px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '1',
            'name_italic' => '0',
            'name_text_transform' => 'none',
            'name_align' => 'left',
            'position_font_size' => '16px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'left',
            'short_text_font_size' => '18px',
            'short_text_color' => '#000000',
            'short_text_background_color' => '#FCFCFC',
            'short_text_bold' => '0',
            'short_text_italic' => '0',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '20',
            'short_text_border_width' => '1',
            'short_text_border_color' => '#EDEDED',
            'short_text_border_radius' => '3',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(59,59,59,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '7',
            'name_top_margin' => '0px',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '0px',
            'contacts_top_margin' => '10px',
            'social_top_margin' => '10px',
            'source_top_margin' => '10px',
            'rating_bar_color' => 'rgba(214,0,0,1)',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '28px',
            'rating_icon' => 'heart-3',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'left',
            'rating_top_margin' => '0px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
    'hall_of_fame' => array(
        'label' => 'Hall of fame',
        'styles' => array(
            'template' => 'hall_of_fame',
            'slider' => '0',
            'slider_autoplay' => '1',
            'slider_autoplay_speed' => '2000',
            'slider_adaptive' => '0',
            'filter' => '1',
            'button_color' => 'rgba(9,170,240,1)',
            'button_hover_color' => 'rgba(6,142,201,1)',
            'button_text_color' => 'rgba(255,255,255,1)',
            'button_text_hover_color' => '#fff',
            'filter_font_size' => '14px',
            'filter_bold' => '0',
            'filter_italic' => '0',
            'filter_text_transform' => 'none',
            'reveal' => '1',
            'hover' => 'hera',
            'bounce' => '1',
            'align' => 'center',
            'gaps' => '15',
            'card_gaps' => '0px',
            'card_width' => '4',
            'card_base_color' => 'rgba(255,255,255,1)',
            'card_border_color' => 'rgba(255,255,255,1)',
            'card_shadow_color' => 'rgba(237,237,237,1)',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'body_visible' => '0',
            'photo_visible' => '1',
            'name_visible' => '1',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '1',
            'position_visible' => '0',
            'source_visible' => '1',
            'rating_visible' => '0',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    'block_0' => 'short_text',
                    'level2' =>
                        array (
                            'block_1' => 'photo',
                            'level3' =>
                                array (
                                    'block_2' => 'name',
                                    'block_3' => 'divider',
                                    'block_4' => 'position',
                                    'block_5' => 'source',
                                    'block_6' => 'rating',
                                    'block_7' => 'social',
                                ),
                        ),
                ),
            'photo_shape' => 'squarerounded',
            'photo_size' => 'custom',
            'photo_width' => '50px',
            'name_font_size' => '16px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '1',
            'name_italic' => '0',
            'name_text_transform' => 'none',
            'name_align' => 'left',
            'position_font_size' => '13px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'left',
            'short_text_font_size' => '13px',
            'short_text_color' => '#000000',
            'short_text_background_color' => '#FCFCFC',
            'short_text_bold' => '0',
            'short_text_italic' => '1',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '10',
            'short_text_border_width' => '1',
            'short_text_border_color' => 'rgba(230,230,230,1)',
            'short_text_border_radius' => '3',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '13px',
            'source_color' => 'rgba(128,128,128,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'none',
            'source_align' => 'left',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '0',
            'name_top_margin' => '0px',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '10px',
            'contacts_top_margin' => '10px',
            'social_top_margin' => '10px',
            'source_top_margin' => '0',
            'rating_bar_color' => '#ffc700',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '24px',
            'rating_icon' => 'star-full',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'left',
            'rating_top_margin' => '10px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
);