<?php
$single_templates = array(
    'cat_power' => array(
        'label' => 'Cat power',
        'styles' => array(
            'template' => 'cat_power',
            'slider' => '1',
            'slider_autoplay' => '1',
            'slider_autoplay_speed' => '2000',
            'slider_adaptive' => '0',
            'button_color' => 'rgba(74,74,74,1)',
            'button_hover_color' => 'rgba(0,0,0,1)',
            'button_text_color' => 'rgba(255,255,255,1)',
            'button_text_hover_color' => '#fff',
            'filter_font_size' => '14px',
            'filter_bold' => '0',
            'filter_italic' => '0',
            'filter_text_transform' => 'none',
            'reveal' => '1',
            'hover' => 'jazz',
            'bounce' => '1',
            'card_gaps' => '0px',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'photo_visible' => '1',
            'name_visible' => '0',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '1',
            'position_visible' => '0',
            'source_visible' => '0',
            'rating_visible' => '1',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    0 => 'short_text',
                    1 => 'photo',
                    2 => 'name',
                    3 => 'divider',
                    4 => 'position',
                    5 => 'source',
                    6 => 'rating',
                    7 => 'social',
                ),
            'photo_shape' => 'round',
            'photo_size' => 'custom',
            'photo_width' => '90px',
            'name_font_size' => '20px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '1',
            'name_italic' => '0',
            'name_text_transform' => 'uppercase',
            'name_align' => 'center',
            'position_font_size' => '14px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'center',
            'short_text_font_size' => '12px',
            'short_text_color' => '#000000',
            'short_text_background_color' => 'rgba(252,252,237,1)',
            'short_text_bold' => '0',
            'short_text_italic' => '0',
            'short_text_text_transform' => 'uppercase',
            'short_text_align' => 'center',
            'short_text_padding' => '30',
            'short_text_border_width' => '1',
            'short_text_border_color' => 'rgba(209,209,209,1)',
            'short_text_border_radius' => '70',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(59,59,59,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '0',
            'name_top_margin' => '15px',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '10px',
            'contacts_top_margin' => '10px',
            'social_top_margin' => '10px',
            'source_top_margin' => '10px',
            'rating_bar_color' => 'rgba(61,61,61,1)',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '26px',
            'rating_icon' => 'cat-1',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'center',
            'rating_top_margin' => '10px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
    'forrest' => array(
        'label' => 'Forrest',
        'styles' => array(
            'template' => 'forrest',
            'slider' => '1',
            'slider_autoplay' => '0',
            'slider_autoplay_speed' => '10000',
            'slider_adaptive' => '0',
            'button_color' => 'rgba(74,74,74,1)',
            'button_hover_color' => 'rgba(0,0,0,1)',
            'button_text_color' => 'rgba(255,255,255,1)',
            'button_text_hover_color' => 'rgba(255,255,255,1)',
            'filter_font_size' => '14px',
            'filter_bold' => '0',
            'filter_italic' => '0',
            'filter_text_transform' => 'none',
            'reveal' => '1',
            'hover' => 'hera',
            'bounce' => '1',
            'card_gaps' => '0px',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'photo_visible' => '1',
            'name_visible' => '1',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '0',
            'position_visible' => '0',
            'source_visible' => '0',
            'rating_visible' => '0',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    0 => 'photo',
                    1 => 'divider',
                    2 => 'position',
                    3 => 'source',
                    4 => 'rating',
                    5 => 'social',
                    6 => 'name',
                    7 => 'short_text',
                ),
            'photo_shape' => 'square',
            'photo_size' => 'custom',
            'photo_width' => '100px',
            'name_font_size' => '16px',
            'name_color' => 'rgba(0,0,0,1)',
            'name_bold' => '1',
            'name_italic' => '0',
            'name_text_transform' => 'none',
            'name_align' => 'center',
            'position_font_size' => '14px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'center',
            'short_text_font_size' => '14px',
            'short_text_color' => '#000000',
            'short_text_background_color' => '#FCFCFC',
            'short_text_bold' => '0',
            'short_text_italic' => '1',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '15',
            'short_text_border_width' => '1',
            'short_text_border_color' => '#EDEDED',
            'short_text_border_radius' => '0',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(59,59,59,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '0',
            'name_top_margin' => '7px',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '15px',
            'contacts_top_margin' => '10px',
            'social_top_margin' => '10px',
            'source_top_margin' => '10px',
            'rating_bar_color' => '#ffc700',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '24px',
            'rating_icon' => 'star-full',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'center',
            'rating_top_margin' => '10px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
);