<?php
$single_showcase_templates = array(
    'usual_suspects' => array(
        'label' => 'Usual Suspects',
        'styles' => array(
            'template' => 'usual_suspects',
            'slider' => '1',
            'slider_autoplay' => '0',
            'slider_autoplay_speed' => '10000',
            'slider_adaptive' => '0',
            'button_color' => '#f5f5f5',
            'button_hover_color' => 'rgba(17,130,138,1)',
            'button_text_color' => '#545454',
            'button_text_hover_color' => '#fff',
            'reveal' => '1',
            'hover' => 'nova',
            'bounce' => '0',
            'gaps' => '50px',
            'card_gaps' => '0px',
            'card_width' => '6',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'photo_visible' => '1',
            'name_visible' => '0',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '1',
            'position_visible' => '0',
            'source_visible' => '0',
            'rating_visible' => '0',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    'level2' =>
                        array (
                            'block_0' => 'photo',
                            'block_1' => 'name',
                            'block_2' => 'divider',
                            'block_3' => 'position',
                            'block_4' => 'source',
                            'block_5' => 'rating',
                            'block_6' => 'social',
                        ),
                    'block_7' => 'short_text',
                ),
            'photo_shape' => 'round',
            'photo_size' => 'custom',
            'photo_width' => '80px',
            'name_font_size' => '16px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '1',
            'name_italic' => '0',
            'name_text_transform' => 'none',
            'name_align' => 'center',
            'position_font_size' => '14px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'center',
            'short_text_font_size' => '16px',
            'short_text_color' => '#000000',
            'short_text_background_color' => '#FCFCFC',
            'short_text_bold' => '0',
            'short_text_italic' => '1',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '30',
            'short_text_border_width' => '1',
            'short_text_border_color' => '#EDEDED',
            'short_text_border_radius' => '3',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(59,59,59,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '0',
            'name_top_margin' => '0',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '5px',
            'contacts_top_margin' => '10px',
            'social_top_margin' => '10px',
            'source_top_margin' => '10px',
            'rating_bar_color' => '#ffc700',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '24px',
            'rating_icon' => 'star-full',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'center',
            'rating_top_margin' => '10px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
    'sunday_blues' => array(
        'label' => 'Sunday blues',
        'styles' => array(
            'template' => 'sunday_blues',
            'slider' => '1',
            'slider_autoplay' => '1',
            'slider_autoplay_speed' => '2000',
            'slider_adaptive' => '0',
            'button_color' => '#f5f5f5',
            'button_hover_color' => '#24b75f',
            'button_text_color' => '#545454',
            'button_text_hover_color' => '#fff',
            'reveal' => '1',
            'hover' => 'jazz',
            'bounce' => '1',
            'gaps' => '30px',
            'card_gaps' => '0px',
            'card_width' => '4',
            'divider_color' => 'rgba(161,161,161,1)',
            'divider_width' => '100%',
            'photo_visible' => '1',
            'name_visible' => '1',
            'divider_visible' => '0',
            'short_text_visible' => '1',
            'short_text_body_visible' => '1',
            'short_text_nubbin_visible' => '1',
            'position_visible' => '0',
            'source_visible' => '1',
            'rating_visible' => '1',
            'social_visible' => '0',
            'blocks_order' =>
                array (
                    'block_0' => 'short_text',
                    'level2' =>
                        array (
                            'block_1' => 'photo',
                            'block_2' => 'name',
                            'block_3' => 'divider',
                            'block_4' => 'position',
                            'block_5' => 'source',
                            'block_6' => 'rating',
                            'block_7' => 'social',
                        ),
                ),
            'photo_shape' => 'round',
            'photo_size' => 'custom',
            'photo_width' => '80px',
            'name_font_size' => '16px',
            'name_color' => 'rgba(59,59,59,1)',
            'name_bold' => '1',
            'name_italic' => '0',
            'name_text_transform' => 'uppercase',
            'name_align' => 'center',
            'position_font_size' => '14px',
            'position_color' => 'rgba(99,99,99,1)',
            'position_bold' => '0',
            'position_italic' => '0',
            'position_text_transform' => 'none',
            'position_align' => 'center',
            'short_text_font_size' => '16px',
            'short_text_color' => '#000000',
            'short_text_background_color' => 'rgba(234,251,255,1)',
            'short_text_bold' => '0',
            'short_text_italic' => '1',
            'short_text_text_transform' => 'none',
            'short_text_align' => 'center',
            'short_text_padding' => '20',
            'short_text_border_width' => '2',
            'short_text_border_color' => 'rgba(176,239,252,1)',
            'short_text_border_radius' => '2',
            'short_text_border_nubbin' => 'down',
            'source_font_size' => '12px',
            'source_color' => 'rgba(59,59,59,1)',
            'source_bold' => '0',
            'source_italic' => '0',
            'source_text_transform' => 'uppercase',
            'source_align' => 'center',
            'contacts_font_size' => '14px',
            'contacts_color' => '#000000',
            'contacts_bold' => '0',
            'contacts_italic' => '0',
            'contacts_text_transform' => 'none',
            'contacts_align' => 'left',
            'social_color' => '#000000',
            'social_size' => '16px',
            'social_align' => 'center',
            'photo_top_margin' => '0',
            'name_top_margin' => '15px',
            'position_top_margin' => '0px',
            'divider_top_margin' => '10px',
            'short_text_margin' => '20px',
            'contacts_top_margin' => '10px',
            'social_top_margin' => '10px',
            'source_top_margin' => '0px',
            'rating_bar_color' => '#ffc700',
            'rating_text_color' => '#000000',
            'rating_font_size' => '12px',
            'rating_size' => '26px',
            'rating_icon' => 'star-full',
            'rating_icon_count' => '5',
            'rating_bold' => '0',
            'rating_italic' => '0',
            'rating_text_transform' => 'none',
            'rating_align' => 'center',
            'rating_top_margin' => '0px',
            'rating_source' => '',
            'rating_scale' => '5s'
        )
    ),
);