<?php
    use ExcitedFree\App\Shortcode;
    use ExcitedFree\App\Model\Testimonial;

    $photo_class = 'aet-shape-' . $styles['photo_shape'];
    $photo_size = $styles['photo_size'];
    $photo_width = preg_replace('/[^0-9]/', '', $styles['photo_width']);
    if($photo_size == 'custom'){
        $sizes = array(
            $photo_width,
            $photo_width,
            true
        );
        $photo_width = 'width: ' . Shortcode::get_size($styles['photo_width']);
        $photo_height = 'height: ' . Shortcode::get_size($styles['photo_width']);
        $padding_bottom = 'padding-bottom: ' . $styles['photo_width'];
    }else{
        $sizes = Shortcode::get_image_sizes($photo_size);
        $photo_width = 'width: 100%';
        $photo_height = 'height: 100%';
        $padding_bottom = 'padding-bottom: 100%';
    }

    $top_margin = $photo_size != 'a-full' ? 'margin-top: ' . Shortcode::get_size($styles['photo_top_margin']) : '';

    $photo_src = Testimonial::get_photo($testimonial->ID, $preview);

    $background = 'background-image:url(' . $photo_src . ')';
    $width = 'width: ' . $sizes[0] . 'px';
    $height = 'height: ' . $sizes[1] . 'px';


    echo "<div class='testimonial_photo $layout-container sortable'
                    data-block-name='photo'
                    data-tooltip-name='photo'
                    style='
                    $top_margin;'>";

    //echo "<div class='photo-border $photo_class' style='$photo_width;$photo_height;'></div>";
    echo "<div class='photo-shape' style='$photo_width;'>";
    echo "<div class='photo-wrapper $photo_class'>";
    echo "<div class='photo-container $photo_class' style='$background;'>";
    echo '</div>';
    echo '</div>';
    echo '</div>';

    if($preview){
        include($base . 'public/partials/parts/tooltip-button.php');
    }
    echo '</div>';