<?php
    use ExcitedFree\App\Shortcode;

    $font_size = 'font-size: ' . $styles['source_font_size'];
    $color = 'color: ' . $styles['source_color'];
    $bold = $styles['source_bold'] == '1' ? 'font-weight: ' . 'bold' : 'font-weight: ' . 'normal';
    $italic = $styles['source_italic'] == '1' ? 'font-style: ' . 'italic' : 'font-style: ' . 'normal';
    $text_transform = 'text-transform: ' . $styles['source_text_transform'];
    $align = 'text-align: ' . $styles['source_align'];
    $top_margin = '';
    if (isset($styles['source_top_margin'])) {
        $top_margin = 'margin-top: ' . Shortcode::get_size($styles['source_top_margin']);
    }

    if ($testimonial->source_url || $testimonial->source_name) {
        $link = esc_html($testimonial->source_url);
        $label = esc_html($testimonial->source_name);
        echo "<div class='testimonial_source $layout-container sortable'
                    style='$top_margin;'
                    data-block-name='source'
                    data-tooltip-name='source'>";
        echo "<span class='group-field-content' style='
                        $font_size;
                        $color;
                        $bold;
                        $italic;
                        $align;
                        $text_transform;
                        '>";
        //echo '<i class="fa fa-link"></i>';
        if ($preview) {
            echo $link;
        } else {
            if($testimonial->source_url){
                echo '<a href="' . $link . '" target="_blank" title="Website">';
                echo $label ?: $link;
                echo '</a>';
            }else{
                echo $label;
            }

        }
        echo '</span>';

        if ($preview) {
            include($base . 'public/partials/parts/tooltip-button.php');
        }
        echo '</div>';
    }

