<?php
    use ExcitedFree\App\Shortcode;

    if($panel['rating_visible'] == '1'){
        $label = esc_html($testimonial->rating_label);
        $icon_size = 36;
        $styles_with_fixed_icon_size = $styles;
        $styles_with_fixed_icon_size['rating_size'] = $icon_size;
        echo '<div class="rating">';
        if($label){
            echo "<div class='rating-label'>$label</div>";
        }
        Shortcode::include_block(
            array(
                'block' => 'rating',
                'layout' => 'grid',
                'styles' => $styles_with_fixed_icon_size,
                'preview' => $preview,
                'testimonial' => $testimonial,
                'id' => $id,
                'force_visible' => true
            )
        );
        echo '</div>';
    }
