<?php
use ExcitedFree\App\Model\Testimonial;
use ExcitedFree\App\Shortcode;

$testimonial = new Testimonial(array('post' => $testimonial));
$id = $testimonial->ID;
$terms = wp_get_post_terms($id, Testimonial::getTaxonomy(), array('fields' => 'ids'));
$terms = array_map(function ($term) {
    return 'awesome-filter-' . $term;
}, $terms);
$terms = implode(' ', $terms);

$clicable = $testimonial->custom_url || $panel['enabled'] == '1' ? 'aet-profile' : '';
$profile = htmlspecialchars($testimonial->custom_url);
$profile_title = $testimonial->custom_url ? 'Open profile' : '';
$card_columns = 1;
$photo_gaps = '';
if($block == 'photo'){
    $clicable = '';
    $card_columns = $styles['card_width'];
    $photo_gaps = 'padding: 0 ' . preg_replace('/[^0-9]/', '', $styles['gaps']) / 2 . 'px';
}
$li_width = '';

echo "<li class='a-grid-$card_columns $terms filter-item $active' style='' data-showcase-block='$block' testimonial-id='$id'>";
    echo "<div $clicable data-profile='$profile'
               class='sortable-box $class'
               title='$profile_title'
               style='$photo_gaps'>";